Skip to main content
PATCH
Update Placement

Authorizations

Authorization
string
header
required

Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.

Path Parameters

placement_id
string<uuid>
required

Query Parameters

force
boolean
default:false

Body

application/json

Request body for PATCH /placements/{id}.

ad_unit_ids
string<uuid>[] | null

List of included AdUnit IDs

Maximum array length: 1000
description
string | null

Description

name
string | null

Placement name

status
enum<string> | null

Operational status

Available options:
ACTIVE,
INACTIVE,
ARCHIVED

Response

Successful Response

Response schema for Placement mutation operations (create/patch).

created_at
string<date-time>
required

The date and time when the placement was created.

created_by
string<uuid>
required

The ID of the user who created the placement.

id
string<uuid>
required

Unique identifier for the placement (UUID v4).

name
string
required

Human-readable name of the placement.

updated_at
string<date-time>
required
ad_unit_ids
string<uuid>[]

List of ad unit IDs associated with this placement.

Maximum array length: 1000
description
string | null

Optional description of the placement.

ext
any | null

Extension field for additional placement-specific data.

no
integer | null
status
enum<string>
default:INACTIVE

Operational status of the placement. Defaults to Inactive.

Available options:
ACTIVE,
INACTIVE,
ARCHIVED